> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Configuration Users

> List all users who have access to the connection source (e.g. Tenable, Qualys, etc.)



## OpenAPI

````yaml get /configuration/users
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /configuration/users:
    get:
      tags:
        - configuration
      summary: List Configuration Users
      description: >-
        List all users who have access to the connection source (e.g. Tenable,
        Qualys, etc.)
      operationId: list_configuration_users
      parameters:
        - name: enableCursor
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Enable cursor based pagination instead of default offset-based
              pagination
            default: false
            title: Enablecursor
          description: >-
            Enable cursor based pagination instead of default offset-based
            pagination
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset index (starting index of page)
            default: 0
            title: Offset
          description: Offset index (starting index of page)
        - name: excludeTotal
          in: query
          required: false
          schema:
            type: boolean
            description: Skips returning the total rows, total is set to null when true
            default: false
            title: Excludetotal
          description: Skips returning the total rows, total is set to null when true
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/OffsetPaginatedResponse_ConfigurationUserRespModel_
                  - $ref: >-
                      #/components/schemas/KeySetPaginatedResponse_ConfigurationUserRespModel_
                title: Response List Configuration Users
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_ConfigurationUserRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/ConfigurationUserRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[ConfigurationUserRespModel]
    KeySetPaginatedResponse_ConfigurationUserRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ConfigurationUserRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[ConfigurationUserRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ConfigurationUserRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen UUID for the configuration user
        name:
          type: string
          title: Name
          description: Configuration First Name and Last Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Configuration User's Email
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
          description: Configuration User's Username
        last_login:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Login
          description: Configuration User's Last Login time
        vendor_user_id:
          type: string
          title: Vendor User Id
          description: Configuration User's ID in the source vendor
        vendor:
          allOf:
            - $ref: '#/components/schemas/ConnectionVendorsEnum'
          description: Source vendor
        access_data:
          type: object
          title: Access Data
          description: >-
            Configuration User's Access Data, includes roles and other
            information
      type: object
      required:
        - id
        - name
        - vendor_user_id
        - vendor
        - access_data
      title: ConfigurationUser
    ConnectionVendorsEnum:
      type: string
      enum:
        - AIKIDO
        - ARNICA
        - TENABLE
        - QUALYS
        - SNYK
        - CROWDSTRIKE
        - CROWDSTRIKE_SPOTLIGHT
        - MS_DEFENDER_CLOUD
        - MS_DEFENDER_ENDPOINT
        - MS_DEFENDER_VMS
        - MS_DEFENDER_VMS_GCC_HIGH
        - SENTINELONE
        - SENTINELONE_VMS
        - SEMGREP
        - INSIGHTVM
        - AWS_SECURITYHUB
        - LACEWORK_CSPM
        - MS_ENTRA
        - AWS_INSPECTOR2
        - AWS_ACCESS_ANALYSER
        - OKTA_IDP
        - WIZ_VMS
        - WIZ_CODE
        - GITLAB
        - TANIUM_VMS
        - UPWIND
        - CHECKMARX
        - MEND
        - ORCA
        - GITHUB
        - SERVICENOW
        - BLACK_KITE
        - BIT_SIGHT
        - JIRA
        - SECURITY_SCORECARD
        - PROCESSUNITY
      title: ConnectionVendorsEnum
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````